Наверх

База знаний
Try 2 Fix
beta

FreeBSD 11: меняем csh на bash и русифицируем терминал

Командных интерпретаторов много, но самым удобным (наверно) является bash. По умолчанию во FreeBSD в качестве командного интерпретатора установлен csh (проверить это можно командой echo $SHELL). Меняем его на bash, а также русифицируем!

Идём по инструкции:

  1. Устанавливаем bash из коллекции портов:
    #cd /usr/ports/shells/bash
    #make install clean
  2. Меняем кодировку в блоке russian|Russian на UTF-8, если стоит, например, KOIR-8:
    #nano /etc/login.conf
    
    russian|Russian Users Accounts:\
    :charset=UTF-8:\
    :lang=ru_RU.UTF-8:\
    :tc=default:
  3. После этого через стандартный редактор vi делаем следующее:
    #chsh %username%

    Вместо %username% Вы указываете имя Вашего пользователя!

  4. Здесь делаем следующие правки
    ...
    class russian
    ...
    Shell: /usr/local/bin/bash
  5. Проверим, какая у нас оболочка:
    #echo $SHELL

    Если всё сделано правильно, то увидим

    /usr/local/bin/bash

    Готово!

Остались вопросы?

Лоджик Флоу


Аутсорсинг / Системное администрирование / Техническая поддержка / Сопровождение 1С:Предприятие

+7 (8634) 383-490 / +7 (906) 430-7000
mail@logicflow.ru

Что-то пошло не так? Специалисты нашей компании помогут Вам разобраться с возникшими проблемами! Обращайтесь! →

Также Ваши вопросы Вы можете задать в нашей группе ВК или на нашем YouTube канале!

Эти статьи будут Вам интересны

Отключение автоматического обновления Mozilla Firefox

Время банк-клиентов именно как приложений-клиентов уже прошло. Большая часть банков перешла на онлайн версии клиентов. Чаще всего в основе таких приложений лежит Java. Но настроить связку "Нужная версия Java" + "Нужная версия браузера" зачастую сложно. В большинстве случаев подходит браузер Mozilla Firefox. Всё работает, но потом Firefox обновляется и начинаются проблемы: то сама новая версия Firefox перестаёт поддерживать работу банк-клиентов, то новая версия блокирует старые версии Java Runtime Environment. А поскольку банк-клиенты не успевают за обновлениями Java, иногда нужно использовать именно более старые её версии. Рассказываем и показываем как отключить автоматическое обновление Mozilla Firefox.  

1С:Бухгалтерия базовая 3.0: Справочник. Организации. МодульМенеджера(1556); Ошибка при вызове метода контекста

При обновлении 1С:Бухгалтерии базовой с релиза 3.0.43.213 у пользователя возникла следующая проблема: на последнем этапе обновления появляется сообщение об ошибке следующего содержания: {Справочник.Организации.МодульМенеджера(1556)}: {Справочник.Организации.МодульМенеджера(1474)}: Ошибка при вызове метода контекста (ПолучитьОбъект) ТекущаяВерсияОбъект = ФайлИсточникОбъект.ТекущаяВерсия.ПолучитьОбъект(); по причине: Элемент не выбран! ВызватьИсключение ПодробноеПредставлениеОшибки(ИнформацияОбОшибке); При попытке обновиться до всевозможных релизов, начиная с 3.0.43.213 до 3.0.43.236 проблема повторяется. Внутреннее и внешнее тестирование не помогли, чистка кэша тоже. Обходим эту проблему иначе.